View Issue Details

IDProjectCategoryView StatusLast Update
0011993MediaMonkey 4Framework: Scripts/Extensionspublic2015-11-12 13:10
ReporterLudek Assigned To 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Target Version4.1.10Fixed in Version4.1.10 
Summary0011993: Enhance SDBDevice class
DescriptionSome user/scripters would like to write scripts that would allow syncing also other content than audio/video to various portable devices.

This could be accomplished by adding some new methods to SDBDevice class, namely:
SDBDevice::CopyFile(Source, Destination)

The scripter also asked for method
SDBDevice::GetSyncProgres()
and to look into http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=70923
Additional Informationhttp://www.mediamonkey.com/wiki/index.php/SDBDevice
http://www.mediamonkey.com/wiki/index.php/ISDBDeviceList::DeviceHandle
TagsNo tags attached.
Fixed in build1765

Relationships

related to 0010708 closedLudek ISDBDeviceList::DeviceHandle doesn't work for devices with drive letter 
related to 0012471 closedLudek Issue with SDB.Device.HandledDeviceList 

Activities

Ludek

2014-03-31 12:28

developer   ~0040034

Last edited: 2015-10-25 14:46

View 4 revisions

Added new methods in build 1703:

SDBDevice::CopyFile(Source, Destination)
SDBDevice::CopyFiles(Sources, Destinations)
SDBDevice::DeleteFiles( FileNames)
SDBDevice::GetSyncProgress()

And documented with examples:
http://www.mediamonkey.com/wiki/index.php/SDBDevice
http://www.mediamonkey.com/wiki/index.php/ISDBApplicationEvents::OnDeviceFileCopied

peke

2014-03-31 22:42

developer   ~0040039

Verified 1703

Ludek

2015-10-23 15:30

developer   ~0043168

Last edited: 2015-10-25 14:46

View 4 revisions

Re-opened, as reported in #LSX-386-21862
there is a bug in SDBDevice::GetSyncProgress() where it doesn't return percentage, but bytes for some devices.

Ludek

2015-10-25 15:35

developer   ~0043174

Fixed in build 4.1.10.1765 and documented http://www.mediamonkey.com/wiki/index.php/ISDBDevice::GetSyncProgress

peke

2015-11-12 13:10

developer   ~0043290

Verified 1765